Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227346 - Must modify xorg.conf to get correct array of resolutions
Summary: Must modify xorg.conf to get correct array of resolutions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 15:13 UTC by Gerry Tool
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-08 16:29:26 UTC


Attachments (Terms of Use)

Description Gerry Tool 2007-02-05 15:13:18 UTC
Description of problem: When I installed f7t1, the screen resolution was limited
to 800x600 or 640x480. xorg.conf listed the driver as vesa


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. install fc7t1 from i386 dvd
2. log in and observe screen resolution possibilities in Control Center
3. view xorg.conf and find that driver used is 'vesa'
  
Actual results:
only two resolutions allowed, 800x600 and 640x480


Expected results:
Full range of resolutions up to monitor native resolution of 1600x1200


Additional info:
Changing 'vesa' to 'nv' and restarting X gave expected results.

output for lspci -n as requested by Alan Jackson
[root@localhost ~]# lspci -n
00:00.0 0580: 10de:005e (rev a3)
00:01.0 0601: 10de:0050 (rev a3)
00:01.1 0c05: 10de:0052 (rev a2)
00:02.0 0c03: 10de:005a (rev a2)
00:02.1 0c03: 10de:005b (rev a3)
00:04.0 0401: 10de:0059 (rev a2)
00:06.0 0101: 10de:0053 (rev f2)
00:07.0 0101: 10de:0054 (rev f3)
00:08.0 0101: 10de:0055 (rev f3)
00:09.0 0604: 10de:005c (rev a2)
00:0a.0 0680: 10de:0057 (rev a3)
00:0b.0 0604: 10de:005d (rev a3)
00:0c.0 0604: 10de:005d (rev a3)
00:0d.0 0604: 10de:005d (rev a3)
00:0e.0 0604: 10de:005d (rev a3)
00:18.0 0600: 1022:1100
00:18.1 0600: 1022:1101
00:18.2 0600: 1022:1102
00:18.3 0600: 1022:1103
01:00.0 0300: 10de:0393 (rev a1)

Comment 1 Adam Jackson 2007-02-05 15:43:39 UTC
Fixed in xorg-x11-drv-nv 1.2.2.1-2.fc7, thanks!

Comment 2 Gerry Tool 2007-02-06 15:46:15 UTC
The bug was filed against xorg-x11-drv-vesa, not xorg-x11-drv-nv.  The latter
worked fine before the bug report.  It is the vesa driver that only shows two
possible resolution, 800x600 and 640x480.

The new nv driver still works fine.

Comment 3 Adam Jackson 2007-05-08 16:29:26 UTC
That's fine, but we don't actually expect vesa do do better than 800x600, ever.
 If we select nv by default for this chipset, then it's irrelevant what vesa does.


Note You need to log in before you can comment on or make changes to this bug.